import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
import { ALPHA, COLORS, BORDER_RADIUS } from './constants';

var getClassNames = function getClassNames(_ref) {
  var color = _ref.color,
      alpha = _ref.alpha,
      rounded = _ref.rounded;
  var BASE_CLASS = 'sui-atom-panel';
  var COLOR_PANEL_CLASS = 'sui-atom-panel-color';
  return cx(BASE_CLASS, rounded !== BORDER_RADIUS.NONE && BASE_CLASS + "--rounded-" + rounded, COLOR_PANEL_CLASS, color && COLOR_PANEL_CLASS + "--" + color + "-" + alpha);
};

var ColorPanel = function ColorPanel(_ref2) {
  var children = _ref2.children,
      props = _objectWithoutPropertiesLoose(_ref2, ["children"]);

  return /*#__PURE__*/_jsx("div", {
    className: getClassNames(props),
    children: children
  });
};

ColorPanel.displayName = 'ColorPanel';
ColorPanel.defaultProps = {
  alpha: ALPHA.CONTRAST,
  color: COLORS.DEFAULT,
  rounded: BORDER_RADIUS.NONE
};
export default ColorPanel;