import _extends from "@babel/runtime/helpers/esm/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import ColorPanel from './ColorPanel';
import ImagePanel, { HORIZONTAL_ALIGNMENTS, VERTICAL_ALIGNMENTS } from './ImagePanel';
import { COLORS, ALPHA, BORDER_RADIUS } from './constants';

var isImagePanel = function isImagePanel(_ref) {
  var src = _ref.src;
  return !!src;
};

var AtomPanel = function AtomPanel(props) {
  return isImagePanel(props) ? /*#__PURE__*/_jsx(ImagePanel, _extends({}, props)) : /*#__PURE__*/_jsx(ColorPanel, _extends({}, props));
};

AtomPanel.displayName = 'AtomPanel';
AtomPanel.defaultProps = {
  horizontalAlign: HORIZONTAL_ALIGNMENTS.CENTER,
  verticalAlign: VERTICAL_ALIGNMENTS.CENTER,
  rounded: BORDER_RADIUS.NONE
};
export default AtomPanel;
export { HORIZONTAL_ALIGNMENTS as atomPanelHorizontalAlign, VERTICAL_ALIGNMENTS as atomPanelVerticalAlign, COLORS as atomPanelColors, ALPHA as atomPanelAlpha, BORDER_RADIUS as atomPanelRounded };